Assess risk for a team of agents
curl --request POST \
--url https://api.mnemom.ai/v1/risk/assess/team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"action_type": "<string>",
"amount": 123,
"use_case": "<string>",
"risk_tolerance": "<string>",
"team_task": "<string>",
"coordination_mode": "<string>",
"trigger": "<string>",
"governance_median": 123,
"conflict_edge_count": 123,
"conscience_universal": true
},
"agent_ids": [
"<string>"
],
"team_id": "<string>"
}
'import requests
url = "https://api.mnemom.ai/v1/risk/assess/team"
payload = {
"context": {
"action_type": "<string>",
"amount": 123,
"use_case": "<string>",
"risk_tolerance": "<string>",
"team_task": "<string>",
"coordination_mode": "<string>",
"trigger": "<string>",
"governance_median": 123,
"conflict_edge_count": 123,
"conscience_universal": True
},
"agent_ids": ["<string>"],
"team_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
action_type: '<string>',
amount: 123,
use_case: '<string>',
risk_tolerance: '<string>',
team_task: '<string>',
coordination_mode: '<string>',
trigger: '<string>',
governance_median: 123,
conflict_edge_count: 123,
conscience_universal: true
},
agent_ids: ['<string>'],
team_id: '<string>'
})
};
fetch('https://api.mnemom.ai/v1/risk/assess/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assessment_id": "<string>",
"team_id": "<string>",
"agent_count": 123,
"team_risk_score": 123,
"team_risk_level": "<string>",
"team_coherence_score": 123,
"team_recommendation": "<string>",
"portfolio_risk": {},
"coherence_risk": {},
"concentration_risk": {},
"weakest_link_risk": {},
"individual_assessments": [
{
"assessment_id": "<string>",
"agent_id": "<string>",
"risk_score": 123,
"contributing_factors": [
{}
],
"suggested_thresholds": {},
"explanation": "<string>",
"proof_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"outliers": "<array>",
"clusters": "<array>",
"value_divergences": "<array>",
"shapley_values": {},
"synergy_type": "<string>",
"explanation": "<string>",
"proof_id": "<string>",
"proof_status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Risk
Assess risk for a team of agents
Compute a team-level risk assessment given an explicit agent_ids list (or a team_id to resolve the roster).
POST
/
risk
/
assess
/
team
Assess risk for a team of agents
Authorizations
Supabase JWT token in Authorization: Bearer header
Body
application/json
Response
Team risk assessment.
Team risk assessment row (tra-…). Produced by POST /risk/assess/team. Three-pillar result (portfolio + coherence + concentration) with weakest-link and Shapley attribution per member.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I